Repository: espressif/esp32-wifi-lib
Branch: master
Commit: 05ac6ccb42c5
Files: 77
Total size: 23.4 KB
Directory structure:
gitextract_er1r8u6d/
├── .gitlab-ci.yml
├── LICENSE
├── README.rst
├── esp32/
│ ├── libcore.a
│ ├── libespnow.a
│ ├── libmesh.a
│ ├── libnet80211.a
│ ├── libpp.a
│ ├── libsmartconfig.a
│ └── libwapi.a
├── esp32_host/
│ ├── libcore.a
│ ├── libespnow.a
│ ├── libmesh.a
│ ├── libnet80211.a
│ ├── libpp.a
│ ├── libsmartconfig.a
│ ├── libtarget.a
│ └── libwapi.a
├── esp32c2/
│ ├── libcore.a
│ ├── libespnow.a
│ ├── libnet80211.a
│ ├── libpp.a
│ └── libsmartconfig.a
├── esp32c3/
│ ├── libcore.a
│ ├── libespnow.a
│ ├── libmesh.a
│ ├── libnet80211.a
│ ├── libpp.a
│ ├── libsmartconfig.a
│ └── libwapi.a
├── esp32c5/
│ ├── libcore.a
│ ├── libespnow.a
│ ├── libmesh.a
│ ├── libnet80211.a
│ ├── libpp.a
│ ├── libsmartconfig.a
│ └── libwapi.a
├── esp32c6/
│ ├── libcore.a
│ ├── libespnow.a
│ ├── libmesh.a
│ ├── libnet80211.a
│ ├── libpp.a
│ ├── libsmartconfig.a
│ └── libwapi.a
├── esp32c61/
│ ├── libcore.a
│ ├── libespnow.a
│ ├── libmesh.a
│ ├── libnet80211.a
│ ├── libpp.a
│ ├── libsmartconfig.a
│ └── libwapi.a
├── esp32s2/
│ ├── libcore.a
│ ├── libespnow.a
│ ├── libmesh.a
│ ├── libnet80211.a
│ ├── libpp.a
│ ├── libsmartconfig.a
│ └── libwapi.a
├── esp32s3/
│ ├── libcore.a
│ ├── libespnow.a
│ ├── libmesh.a
│ ├── libnet80211.a
│ ├── libpp.a
│ ├── libsmartconfig.a
│ └── libwapi.a
├── esp32s31/
│ ├── libcore.a
│ ├── libespnow.a
│ ├── libmesh.a
│ ├── libnet80211.a
│ ├── libpp.a
│ ├── libsmartconfig.a
│ └── libwapi.a
├── fix_printf.sh
├── tools/
│ └── ci/
│ ├── build_app.sh
│ └── config/
│ ├── build.yml
│ └── feature_test.yml
└── update_lib.sh
================================================
FILE CONTENTS
================================================
================================================
FILE: .gitlab-ci.yml
================================================
stages:
- check
- build
- feature_test
- deploy
variables:
IDF_PATH: "$CI_PROJECT_DIR/esp-idf"
MAKEFLAGS: "-j8"
SSC_BRANCH: "master"
IDF_BRANCH: "master"
board: "esp32"
before_script:
# Add gitlab ssh key
- mkdir -p ~/.ssh
- chmod 700 ~/.ssh
- echo -n $GITLAB_KEY > ~/.ssh/id_rsa_base64
- base64 --decode --ignore-garbage ~/.ssh/id_rsa_base64 > ~/.ssh/id_rsa
- chmod 600 ~/.ssh/id_rsa
- echo -e "Host gitlab.espressif.cn\n\tStrictHostKeyChecking no\n" >> ~/.ssh/config
check_lib_reversion:
stage: check
except:
- master
- /^release\/v/
image: $CI_DOCKER_REGISTRY/esp32-ci-env
script:
- GIT_COMMIT_ID=`git log --pretty="%s" -1 | grep -o '([0-9a-f]*)' | tail -1 | cut -c 2-8`
- echo "GIT_COMMIT_ID is "$GIT_COMMIT_ID
- test $(echo -n $GIT_COMMIT_ID | wc -c) -eq 7
- for dir in esp32 esp32s2 esp32s3 esp32c3 esp32c2 esp32c6 esp32c5 esp32_host; do grep $GIT_COMMIT_ID $dir/libcore.a; done;
- for dir in esp32 esp32s2 esp32s3 esp32c3 esp32c2 esp32c6 esp32c5 esp32_host; do grep $GIT_COMMIT_ID $dir/libespnow.a; done;
- for dir in esp32 esp32s2 esp32s3 esp32c3 esp32c6 esp32c5 esp32_host; do grep $GIT_COMMIT_ID $dir/libmesh.a; done;
- for dir in esp32 esp32s2 esp32s3 esp32c3 esp32c2 esp32c6 esp32c5 esp32_host; do grep $GIT_COMMIT_ID $dir/libnet80211.a; done;
- for dir in esp32 esp32s2 esp32s3 esp32c3 esp32c2 esp32c6 esp32c5 esp32_host; do grep $GIT_COMMIT_ID $dir/libpp.a; done;
- for dir in esp32 esp32s2 esp32s3 esp32c3 esp32c2 esp32c6 esp32c5 esp32_host; do grep $GIT_COMMIT_ID $dir/libsmartconfig.a; done;
- for dir in esp32 esp32s2 esp32s3 esp32c3 esp32c6 esp32c5 esp32_host; do grep $GIT_COMMIT_ID $dir/libwapi.a; done;
- for dir in esp32_host; do grep $GIT_COMMIT_ID $dir/libtarget.a; done;
- for dir in esp32 esp32s2 esp32s3 esp32c3 esp32c2 esp32c6 esp32c5 esp32_host; do grep $GIT_COMMIT_ID-remote $dir/libnet80211.a; done;
- for dir in esp32 esp32s2 esp32s3 esp32c3 esp32c2 esp32c6 esp32c5 esp32_host; do test $(grep $GIT_COMMIT_ID-dirty $dir/*.a | wc -l) -eq 0; done;
- for dir in esp32 esp32s2 esp32s3; do test $(xtensa-esp32-elf-nm $dir/*.a | grep -w printf | wc -l) -eq 0; done;
- for dir in esp32 esp32s2 esp32s3; do test $(xtensa-esp32-elf-nm $dir/*.a | grep -w ets_printf | wc -l) -eq 0; done;
- for dir in esp32 esp32s2 esp32s3 esp32c3 esp32c2 esp32c6 esp32c5 esp32_host; do if [ -e $dir/libwps.a ]; then exit 1; fi; done;
- for dir in esp32 esp32s2 esp32s3 esp32c3 esp32c2 esp32c6 esp32c5 esp32_host; do if [ -e $dir/libwpa.a ]; then exit 1; fi; done;
- for dir in esp32 esp32s2 esp32s3 esp32c3 esp32c2 esp32c6 esp32c5 esp32_host; do if [ -e $dir/libwpa2.a ]; then exit 1; fi; done;
- for dir in esp32 esp32s2 esp32s3 esp32c3 esp32c2 esp32c6 esp32c5 esp32_host; do cd $dir; for filename in *; do if [[ -x "$file" ]]; then echo "Execute permissions for $dir/$filename"; exit 1; fi; done; cd .. ; done
push_master_to_github:
stage: deploy
tags:
- github_sync
only:
- master
- /^release\/v/
- /^v\d+\.\d+/
# when: on_success
image: $CI_DOCKER_REGISTRY/esp32-ci-env
variables:
GIT_DEPTH: 0
before_script: []
script:
- mkdir -p ~/.ssh
- chmod 700 ~/.ssh
- echo -n $GH_PUSH_KEY > ~/.ssh/id_rsa_base64
- base64 --decode --ignore-garbage ~/.ssh/id_rsa_base64 > ~/.ssh/id_rsa
- chmod 600 ~/.ssh/id_rsa
- echo -e "Host github.com\n\tStrictHostKeyChecking no\n" >> ~/.ssh/config
- git remote remove github &>/dev/null || true
- git remote add github git@github.com:espressif/esp32-wifi-lib.git
# Ref: esp-idf tools/ci/push_to_github.sh
- |
if [ -n "${CI_COMMIT_TAG}" ]; then
git push github "${CI_COMMIT_TAG}"
else
git push github "${CI_COMMIT_SHA}:refs/heads/${CI_COMMIT_REF_NAME}"
fi
include:
- 'tools/ci/config/build.yml'
- 'tools/ci/config/feature_test.yml'
================================================
FILE: LICENSE
================================================
Apache License
Version 2.0, January 2004
http://www.apache.org/licenses/
TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION
1. Definitions.
"License" shall mean the terms and conditions for use, reproduction,
and distribution as defined by Sections 1 through 9 of this document.
"Licensor" shall mean the copyright owner or entity authorized by
the copyright owner that is granting the License.
"Legal Entity" shall mean the union of the acting entity and all
other entities that control, are controlled by, or are under common
control with that entity. For the purposes of this definition,
"control" means (i) the power, direct or indirect, to cause the
direction or management of such entity, whether by contract or
otherwise, or (ii) ownership of fifty percent (50%) or more of the
outstanding shares, or (iii) beneficial ownership of such entity.
"You" (or "Your") shall mean an individual or Legal Entity
exercising permissions granted by this License.
"Source" form shall mean the preferred form for making modifications,
including but not limited to software source code, documentation
source, and configuration files.
"Object" form shall mean any form resulting from mechanical
transformation or translation of a Source form, including but
not limited to compiled object code, generated documentation,
and conversions to other media types.
"Work" shall mean the work of authorship, whether in Source or
Object form, made available under the License, as indicated by a
copyright notice that is included in or attached to the work
(an example is provided in the Appendix below).
"Derivative Works" shall mean any work, whether in Source or Object
form, that is based on (or derived from) the Work and for which the
editorial revisions, annotations, elaborations, or other modifications
represent, as a whole, an original work of authorship. For the purposes
of this License, Derivative Works shall not include works that remain
separable from, or merely link (or bind by name) to the interfaces of,
the Work and Derivative Works thereof.
"Contribution" shall mean any work of authorship, including
the original version of the Work and any modifications or additions
to that Work or Derivative Works thereof, that is intentionally
submitted to Licensor for inclusion in the Work by the copyright owner
or by an individual or Legal Entity authorized to submit on behalf of
the copyright owner. For the purposes of this definition, "submitted"
means any form of electronic, verbal, or written communication sent
to the Licensor or its representatives, including but not limited to
communication on electronic mailing lists, source code control systems,
and issue tracking systems that are managed by, or on behalf of, the
Licensor for the purpose of discussing and improving the Work, but
excluding communication that is conspicuously marked or otherwise
designated in writing by the copyright owner as "Not a Contribution."
"Contributor" shall mean Licensor and any individual or Legal Entity
on behalf of whom a Contribution has been received by Licensor and
subsequently incorporated within the Work.
2. Grant of Copyright License. Subject to the terms and conditions of
this License, each Contributor hereby grants to You a perpetual,
worldwide, non-exclusive, no-charge, royalty-free, irrevocable
copyright license to reproduce, prepare Derivative Works of,
publicly display, publicly perform, sublicense, and distribute the
Work and such Derivative Works in Source or Object form.
3. Grant of Patent License. Subject to the terms and conditions of
this License, each Contributor hereby grants to You a perpetual,
worldwide, non-exclusive, no-charge, royalty-free, irrevocable
(except as stated in this section) patent license to make, have made,
use, offer to sell, sell, import, and otherwise transfer the Work,
where such license applies only to those patent claims licensable
by such Contributor that are necessarily infringed by their
Contribution(s) alone or by combination of their Contribution(s)
with the Work to which such Contribution(s) was submitted. If You
institute patent litigation against any entity (including a
cross-claim or counterclaim in a lawsuit) alleging that the Work
or a Contribution incorporated within the Work constitutes direct
or contributory patent infringement, then any patent licenses
granted to You under this License for that Work shall terminate
as of the date such litigation is filed.
4. Redistribution. You may reproduce and distribute copies of the
Work or Derivative Works thereof in any medium, with or without
modifications, and in Source or Object form, provided that You
meet the following conditions:
(a) You must give any other recipients of the Work or
Derivative Works a copy of this License; and
(b) You must cause any modified files to carry prominent notices
stating that You changed the files; and
(c) You must retain, in the Source form of any Derivative Works
that You distribute, all copyright, patent, trademark, and
attribution notices from the Source form of the Work,
excluding those notices that do not pertain to any part of
the Derivative Works; and
(d) If the Work includes a "NOTICE" text file as part of its
distribution, then any Derivative Works that You distribute must
include a readable copy of the attribution notices contained
within such NOTICE file, excluding those notices that do not
pertain to any part of the Derivative Works, in at least one
of the following places: within a NOTICE text file distributed
as part of the Derivative Works; within the Source form or
documentation, if provided along with the Derivative Works; or,
within a display generated by the Derivative Works, if and
wherever such third-party notices normally appear. The contents
of the NOTICE file are for informational purposes only and
do not modify the License. You may add Your own attribution
notices within Derivative Works that You distribute, alongside
or as an addendum to the NOTICE text from the Work, provided
that such additional attribution notices cannot be construed
as modifying the License.
You may add Your own copyright statement to Your modifications and
may provide additional or different license terms and conditions
for use, reproduction, or distribution of Your modifications, or
for any such Derivative Works as a whole, provided Your use,
reproduction, and distribution of the Work otherwise complies with
the conditions stated in this License.
5. Submission of Contributions. Unless You explicitly state otherwise,
any Contribution intentionally submitted for inclusion in the Work
by You to the Licensor shall be under the terms and conditions of
this License, without any additional terms or conditions.
Notwithstanding the above, nothing herein shall supersede or modify
the terms of any separate license agreement you may have executed
with Licensor regarding such Contributions.
6. Trademarks. This License does not grant permission to use the trade
names, trademarks, service marks, or product names of the Licensor,
except as required for reasonable and customary use in describing the
origin of the Work and reproducing the content of the NOTICE file.
7. Disclaimer of Warranty. Unless required by applicable law or
agreed to in writing, Licensor provides the Work (and each
Contributor provides its Contributions) on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
implied, including, without limitation, any warranties or conditions
of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
PARTICULAR PURPOSE. You are solely responsible for determining the
appropriateness of using or redistributing the Work and assume any
risks associated with Your exercise of permissions under this License.
8. Limitation of Liability. In no event and under no legal theory,
whether in tort (including negligence), contract, or otherwise,
unless required by applicable law (such as deliberate and grossly
negligent acts) or agreed to in writing, shall any Contributor be
liable to You for damages, including any direct, indirect, special,
incidental, or consequential damages of any character arising as a
result of this License or out of the use or inability to use the
Work (including but not limited to damages for loss of goodwill,
work stoppage, computer failure or malfunction, or any and all
other commercial damages or losses), even if such Contributor
has been advised of the possibility of such damages.
9. Accepting Warranty or Additional Liability. While redistributing
the Work or Derivative Works thereof, You may choose to offer,
and charge a fee for, acceptance of support, warranty, indemnity,
or other liability obligations and/or rights consistent with this
License. However, in accepting such obligations, You may act only
on Your own behalf and on Your sole responsibility, not on behalf
of any other Contributor, and only if You agree to indemnify,
defend, and hold each Contributor harmless for any liability
incurred by, or claims asserted against, such Contributor by reason
of your accepting any such warranty or additional liability.
END OF TERMS AND CONDITIONS
APPENDIX: How to apply the Apache License to your work.
To apply the Apache License to your work, attach the following
boilerplate notice, with the fields enclosed by brackets "[]"
replaced with your own identifying information. (Don't include
the brackets!) The text should be enclosed in the appropriate
comment syntax for the file format. We also recommend that a
file or class name and description of purpose be included on the
same "printed page" as the copyright notice for easier
identification within third-party archives.
Copyright [yyyy] [name of copyright owner]
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
================================================
FILE: README.rst
================================================
ESP32 WiFi Stack Libraries
====================
This repository contains binary libraries supporting the ESP32 series RF subsystems. It is used as a submodule within `Espressif IoT Development Framework`_ (ESP-IDF).
Files in this repository are Copyright (C) 2015-2016 Espressif Systems.
These binary libraries are provided under the same license as the parent esp-idf project - the Apache License 2.0 as provided in the file LICENSE. (The license text refers to this as "Object" form.)
.. _Espressif IoT Development Framework: https://github.com/espressif/esp-idf
================================================
FILE: fix_printf.sh
================================================
#!/bin/bash
COUNT=0
for dir in esp32 esp32s2 esp32c3 esp32s3 esp32c2 esp32c6 esp32_host esp32c5 esp32c61 esp32s31; do
if [ $dir = esp32 ]; then
TOOLCHAIN="xtensa-esp32-elf"
elif [ $dir = esp32s2 ]; then
TOOLCHAIN="xtensa-esp32s2-elf"
elif [ $dir = esp32c3 -o $dir = esp32c2 -o $dir = esp32c6 -o $dir = esp32_host -o $dir = esp32c5 -o $dir = esp32c61 -o $dir = esp32s31 ]; then
TOOLCHAIN="riscv32-esp-elf"
elif [ $dir = esp32s3 ]; then
TOOLCHAIN="xtensa-esp32s3-elf"
else
echo "$dir does not exist"
fi
if [ -d "$dir" ]; then
chmod -x $dir/*;
cd $dir
git status libsmartconfig.a | grep "modified\|修改\|new file\|新文件" >/dev/null 2>&1
if [ $? -eq 0 ]; then
echo $dir/libsmartconfig.a fixed
((COUNT++))
$TOOLCHAIN-objcopy --redefine-sym printf=sc_printf libsmartconfig.a
fi
git status libpp.a | grep "modified\|修改\|new file\|新文件" >/dev/null 2>&1
if [ $? -eq 0 ]; then
echo $dir/libpp.a fixed
((COUNT++))
$TOOLCHAIN-objcopy --redefine-sym printf=pp_printf libpp.a
$TOOLCHAIN-objcopy --redefine-sym ets_printf=pp_printf libpp.a
fi
git status libnet80211.a | grep "modified\|修改\|new file\|新文件" >/dev/null 2>&1
if [ $? -eq 0 ]; then
echo $dir/libnet80211.a fixed
((COUNT++))
$TOOLCHAIN-objcopy --redefine-sym printf=net80211_printf libnet80211.a
fi
git status libtarget.a | grep "modified\|修改\|new file\|新文件" >/dev/null 2>&1
if [ $? -eq 0 ]; then
echo $dir/libtarget.a fixed
((COUNT++))
$TOOLCHAIN-objcopy --redefine-sym printf=target_printf libtarget.a
fi
git status libmesh.a | grep "modified\|修改\|new file\|新文件" >/dev/null 2>&1
if [ $? -eq 0 ]; then
echo $dir/libmesh.a fixed
((COUNT++))
$TOOLCHAIN-objcopy --redefine-sym printf=mesh_printf libmesh.a
$TOOLCHAIN-objcopy --redefine-sym ets_printf=mesh_printf libmesh.a
fi
git status libcore.a | grep "modified\|修改\|new file\|新文件" >/dev/null 2>&1
if [ $? -eq 0 ]; then
echo $dir/libcore.a fixed
((COUNT++))
$TOOLCHAIN-objcopy --redefine-sym printf=core_printf libcore.a
$TOOLCHAIN-objcopy --redefine-sym ets_printf=core_printf libcore.a
fi
git status libespnow.a | grep "modified\|修改\|new file\|新文件" >/dev/null 2>&1
if [ $? -eq 0 ]; then
echo $dir/libespnow.a fixed
((COUNT++))
$TOOLCHAIN-objcopy --redefine-sym ets_printf=espnow_printf libespnow.a
$TOOLCHAIN-objcopy --redefine-sym printf=espnow_printf libespnow.a
fi
git status libwapi.a | grep "modified\|修改\|new file\|新文件" >/dev/null 2>&1
if [ $? -eq 0 ]; then
echo $dir/libwapi.a fixed
((COUNT++))
$TOOLCHAIN-objcopy --redefine-sym ets_printf=wapi_printf libwapi.a
$TOOLCHAIN-objcopy --redefine-sym printf=wapi_printf libwapi.a
fi
cd ..
else
echo "$dir does not exist"
fi
done;
echo $COUNT files fixed
================================================
FILE: tools/ci/build_app.sh
================================================
#!/bin/bash
# This file is sourced in to the CI environment
# in .gitlab-ci.yml file
set -x
die() {
echo "${1:-"Unknown Error"}" 1>&2
exit 1
}
[ -z ${IDF_PATH} ] && die "IDF_PATH is not set."
# Set Env
cd ${CI_PROJECT_DIR}/esp-idf
./install.sh || { echo "Install Failure"; exit 1; }
. ./export.sh || { echo "Export Failure"; exit 1; }
# Set Env
cd ${CI_PROJECT_DIR}/SSC
# SSC Dut
echo Running cmake for ssc app...
if test -f "gen_misc_ng.sh"; then
./gen_misc_ng.sh SSC
fi
if test -f "gen_misc_idf.sh"; then
./gen_misc_idf.sh ESP32 SSC
fi
# Copying binaries to create build tar ball
cd $CI_PROJECT_DIR
rm -rf ${board}-${CI_PIPELINE_ID}.debug
mkdir -p ${board}-${CI_PIPELINE_ID}.debug/
echo Creating ${board}-${VERSION} app binaries debug directory...
cp ${CI_PROJECT_DIR}/SSC/build/ssc.bin $board-${CI_PIPELINE_ID}.debug/ || { echo "Copy file Status: Failure"; exit 1; }
cp ${CI_PROJECT_DIR}/SSC/build/ssc.elf $board-${CI_PIPELINE_ID}.debug/ || { echo "Copy file Status: Failure"; exit 1; }
cp ${CI_PROJECT_DIR}/SSC/build/bootloader/bootloader.bin $board-${CI_PIPELINE_ID}.debug/ || { echo "Copy file Status: Failure"; exit 1; }
cp ${CI_PROJECT_DIR}/SSC/build/partition_table/partition-table.bin $board-${CI_PIPELINE_ID}.debug/ || { echo "Copy file Status: Failure"; exit 1; }
# Creating tar file (debug)
tar -zcvf $board-${CI_PIPELINE_ID}.debug.tar.gz $board-${CI_PIPELINE_ID}.debug || { echo "Create tar Status: Failure"; exit 1; }
================================================
FILE: tools/ci/config/build.yml
================================================
build_ssc_esp32:
stage: build
image: $CI_DOCKER_REGISTRY/esp32-ci-env
tags:
- wlan_feature
artifacts:
paths:
- ${board}-${CI_PIPELINE_ID}.debug.tar.gz
expire_in: 1 week
only:
refs:
- triggers
script:
- rm -rf /tmp/esp_wifi_lib
- mkdir /tmp/esp_wifi_lib
- cp -rf * /tmp/esp_wifi_lib
- if git ls-remote ${GITLAB_SSH_SERVER}/idf/esp-idf.git | grep -sw ${CI_BUILD_REF_NAME} 2>&1>/dev/null; then IDF_BRANCH=${CI_BUILD_REF_NAME} ; fi
- if [[ "${BOT_CUSTOMIZED_REVISION}" ]] && [[ "$BOT_CUSTOMIZED_REVISION" == *"esp-idf"* ]]; then IDF_BRANCH=$(python -c 'import os;print eval(os.environ["BOT_CUSTOMIZED_REVISION"])["esp-idf"]') ; fi
- echo Cloning esp-idf - ${IDF_BRANCH} ...
- git clone --recursive --single-branch -b $IDF_BRANCH --dissociate ${GITLAB_SSH_SERVER}/idf/esp-idf.git
- cd esp-idf
- wlan_lib_path=`grep -B 1 esp32-wifi-lib .gitmodules | grep path | cut -d' ' -f3`
- cd $CI_PROJECT_DIR
- rm -rf esp-idf/$wlan_lib_path/*
- cp -rf /tmp/esp_wifi_lib/* esp-idf/$wlan_lib_path/.
- if [[ "${BOT_CUSTOMIZED_REVISION}" ]] && [[ "$BOT_CUSTOMIZED_REVISION" == *"ssc"* ]]; then SSC_BRANCH=$(python -c 'import os;print eval(os.environ["BOT_CUSTOMIZED_REVISION"])["ssc"]') ; fi
- echo Cloning SSC - ${SSC_BRANCH} ...
- git clone --recursive --single-branch -b $SSC_BRANCH --dissociate ${GITLAB_SSH_SERVER}/yinling/SSC.git
- chmod +x tools/ci/build_app.sh
- ./tools/ci/build_app.sh
================================================
FILE: tools/ci/config/feature_test.yml
================================================
include:
- project: 'espressif/wlan_ci'
ref: master
file: '/ci/templates/wifi_lib_pipeline_tests.yaml'
================================================
FILE: update_lib.sh
================================================
#!/bin/bash
if [ $1 != "update" -a $1 != "rebase" ]; then
echo $0 update commit_id [path]
echo $0 rebase commit_id [path]
exit 1
fi
cmd=$1
if [ -z $2 ]; then
echo wrong commit_id $2
exit 1
fi
SHA=$2
LIB_PATH=$3
if [ -z $3 ]; then
LIB_PATH=/mnt/software_output23/esp32_rtos_sdk_core
fi
result=$(find $LIB_PATH -name *$SHA -print -quit | head -n 1)
echo find $SHA in $result
suffix="${result##*/}"
IFS="^" read -r sbranch tbranch mr_number commit_id <<< "$suffix"
sbranch="${sbranch//\~/\/}"
if [ $tbranch == "ng_net80211" ]; then
tbranch=master
fi
if [ $commit_id != $SHA ];then
echo commit id $commit_id does not match $SHA
exit 1
fi
echo source branch is $sbranch
echo target branch is $tbranch
echo VNC MR number $mr_number
echo VNC commit SHA is $commit_id
if [ $cmd == "rebase" ]; then
cd ..
echo change to esp-idf dir $(pwd)
git pull
git checkout $tbranch
git pull origin $tbranch
git checkout $sbranch
cd lib
echo change to wifi-lib dir $(pwd)
fi
echo checkout $tbranch
git checkout $tbranch
echo pull origin $tbranch
git pull origin $tbranch
echo delete branch $sbranch
git branch -D $sbranch
echo checkout $sbranch on $tbranch
git checkout -b $sbranch
echo cp $result to local
cp $result/* . -rf
./fix_printf.sh
commit_message=$(cat $result/MR_TITLE | head -n 1)
commit_message=$commit_message" VNC MR"$mr_number" ("$commit_id")"
echo $commit_message
git commit -am "$commit_message"
rm MR_TITLE
if [ $cmd == "rebase" ]; then
cd ..
echo change to esp-idf dir $(pwd)
git commit -a --amend
git rebase $sbranch
cd lib
echo change to wifi-lib dir $(pwd)
fi
echo please notice that $sbranch for wifi-lib and esp-idf not pushed to gitlab, please do the push manully.
gitextract_er1r8u6d/ ├── .gitlab-ci.yml ├── LICENSE ├── README.rst ├── esp32/ │ ├── libcore.a │ ├── libespnow.a │ ├── libmesh.a │ ├── libnet80211.a │ ├── libpp.a │ ├── libsmartconfig.a │ └── libwapi.a ├── esp32_host/ │ ├── libcore.a │ ├── libespnow.a │ ├── libmesh.a │ ├── libnet80211.a │ ├── libpp.a │ ├── libsmartconfig.a │ ├── libtarget.a │ └── libwapi.a ├── esp32c2/ │ ├── libcore.a │ ├── libespnow.a │ ├── libnet80211.a │ ├── libpp.a │ └── libsmartconfig.a ├── esp32c3/ │ ├── libcore.a │ ├── libespnow.a │ ├── libmesh.a │ ├── libnet80211.a │ ├── libpp.a │ ├── libsmartconfig.a │ └── libwapi.a ├── esp32c5/ │ ├── libcore.a │ ├── libespnow.a │ ├── libmesh.a │ ├── libnet80211.a │ ├── libpp.a │ ├── libsmartconfig.a │ └── libwapi.a ├── esp32c6/ │ ├── libcore.a │ ├── libespnow.a │ ├── libmesh.a │ ├── libnet80211.a │ ├── libpp.a │ ├── libsmartconfig.a │ └── libwapi.a ├── esp32c61/ │ ├── libcore.a │ ├── libespnow.a │ ├── libmesh.a │ ├── libnet80211.a │ ├── libpp.a │ ├── libsmartconfig.a │ └── libwapi.a ├── esp32s2/ │ ├── libcore.a │ ├── libespnow.a │ ├── libmesh.a │ ├── libnet80211.a │ ├── libpp.a │ ├── libsmartconfig.a │ └── libwapi.a ├── esp32s3/ │ ├── libcore.a │ ├── libespnow.a │ ├── libmesh.a │ ├── libnet80211.a │ ├── libpp.a │ ├── libsmartconfig.a │ └── libwapi.a ├── esp32s31/ │ ├── libcore.a │ ├── libespnow.a │ ├── libmesh.a │ ├── libnet80211.a │ ├── libpp.a │ ├── libsmartconfig.a │ └── libwapi.a ├── fix_printf.sh ├── tools/ │ └── ci/ │ ├── build_app.sh │ └── config/ │ ├── build.yml │ └── feature_test.yml └── update_lib.sh
Condensed preview — 77 files, each showing path, character count, and a content snippet. Download the .json file or copy for the full structured content (25K chars).
[
{
"path": ".gitlab-ci.yml",
"chars": 3922,
"preview": "stages:\n - check\n - build\n - feature_test\n - deploy\n\nvariables:\n IDF_PATH: \"$CI_PROJECT_DIR/esp-idf\"\n MAKEFLAGS: "
},
{
"path": "LICENSE",
"chars": 11358,
"preview": "\n Apache License\n Version 2.0, January 2004\n "
},
{
"path": "README.rst",
"chars": 569,
"preview": "ESP32 WiFi Stack Libraries\n====================\n\nThis repository contains binary libraries supporting the ESP32 series R"
},
{
"path": "fix_printf.sh",
"chars": 3255,
"preview": "#!/bin/bash\nCOUNT=0\nfor dir in esp32 esp32s2 esp32c3 esp32s3 esp32c2 esp32c6 esp32_host esp32c5 esp32c61 esp32s31; do\n "
},
{
"path": "tools/ci/build_app.sh",
"chars": 1459,
"preview": "#!/bin/bash\n# This file is sourced in to the CI environment\n# in .gitlab-ci.yml file\n\nset -x\n\ndie() {\n echo \"${1:-\"Un"
},
{
"path": "tools/ci/config/build.yml",
"chars": 1499,
"preview": "build_ssc_esp32:\n stage: build\n image: $CI_DOCKER_REGISTRY/esp32-ci-env\n tags:\n - wlan_feature\n\n artifacts:\n "
},
{
"path": "tools/ci/config/feature_test.yml",
"chars": 113,
"preview": "include:\n - project: 'espressif/wlan_ci'\n ref: master\n file: '/ci/templates/wifi_lib_pipeline_tests.yaml'\n"
},
{
"path": "update_lib.sh",
"chars": 1764,
"preview": "#!/bin/bash\nif [ $1 != \"update\" -a $1 != \"rebase\" ]; then\n echo $0 update commit_id [path]\n echo $0 rebase commit_id"
}
]
// ... and 69 more files (download for full content)
About this extraction
This page contains the full source code of the espressif/esp32-wifi-lib GitHub repository, extracted and formatted as plain text for AI agents and large language models (LLMs). The extraction includes 77 files (23.4 KB), approximately 7.3k tokens. Use this with OpenClaw, Claude, ChatGPT, Cursor, Windsurf, or any other AI tool that accepts text input. You can copy the full output to your clipboard or download it as a .txt file.
Extracted by GitExtract — free GitHub repo to text converter for AI. Built by Nikandr Surkov.